package org.chenyang.http.impl.client;

import org.chenyang.commons.logging.Log;
import org.chenyang.http.HttpHost;
import org.chenyang.http.HttpResponse;
import org.chenyang.http.auth.AuthState;
import org.chenyang.http.client.AuthenticationStrategy;
import org.chenyang.http.protocol.HttpContext;

/** @deprecated */
@Deprecated
public class HttpAuthenticator extends org.chenyang.http.impl.auth.HttpAuthenticator {
   public HttpAuthenticator(Log log) {
      super(log);
   }

   public HttpAuthenticator() {
   }

   public boolean authenticate(HttpHost host, HttpResponse response, AuthenticationStrategy authStrategy, AuthState authState, HttpContext context) {
      return this.handleAuthChallenge(host, response, authStrategy, authState, context);
   }
}
